// Code generated by go-swagger; DO NOT EDIT.

package backup_management

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	models "gitlab.com/kathra/kathra/kathra-services/kathra-runtimemanager/kathra-runtimemanager-go/kathra-runtimemanager-interface/models"
)

// AddBackupRuntimeEnvironmentsOKCode is the HTTP code returned for type AddBackupRuntimeEnvironmentsOK
const AddBackupRuntimeEnvironmentsOKCode int = 200

/*AddBackupRuntimeEnvironmentsOK RuntimeAppInstance deployed with success

swagger:response addBackupRuntimeEnvironmentsOK
*/
type AddBackupRuntimeEnvironmentsOK struct {

	/*
	  In: Body
	*/
	Payload *models.RuntimeEnvironmentBackup `json:"body,omitempty"`
}

// NewAddBackupRuntimeEnvironmentsOK creates AddBackupRuntimeEnvironmentsOK with default headers values
func NewAddBackupRuntimeEnvironmentsOK() *AddBackupRuntimeEnvironmentsOK {

	return &AddBackupRuntimeEnvironmentsOK{}
}

// WithPayload adds the payload to the add backup runtime environments o k response
func (o *AddBackupRuntimeEnvironmentsOK) WithPayload(payload *models.RuntimeEnvironmentBackup) *AddBackupRuntimeEnvironmentsOK {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the add backup runtime environments o k response
func (o *AddBackupRuntimeEnvironmentsOK) SetPayload(payload *models.RuntimeEnvironmentBackup) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *AddBackupRuntimeEnvironmentsOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(200)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
